package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.Category;

import java.util.List;

public interface RankingCategoryService {

    boolean add(Category category);
    boolean update(Category category);
    TableDataInfo<Category> query(String type, PageQuery pageQuery);

    Category queryById(String id);
}
